Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class PropertyChangeSupport

    java.lang.Object
      |
      +--java.beans.PropertyChangeSupport

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SwingPropertyChangeSupport

public class PropertyChangeSupport
extends Object
implements Serializable

This is a utility class that can be used by beans that support bound properties. You can use an instance of this class as a member field of your bean and delegate various work to it. This class is serializable. When it is serialized it will save (and restore) any listeners that are themselves serializable. Any non-serializable listeners will be skipped during serialization.

See Also:
  Serialized Form

Constructor Summary
`PropertyChangeSupport(Object sourceBean)` Constructs a `PropertyChangeSupport` object.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)` Add a PropertyChangeListener for a specific property.
`void` | `firePropertyChange(PropertyChangeEvent evt)` Fire an existing PropertyChangeEvent to any registered listeners.
`void` | `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)` Report a boolean bound property update to any registered listeners.
`void` | `firePropertyChange(String propertyName, int oldValue, int newValue)` Report an int bound property update to any registered listeners.
`void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)` Report a bound property update to any registered listeners.
`boolean` | `hasListeners(String propertyName)` Check if there are any listeners for a specific property.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a PropertyChangeListener from the listener list.
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)` Remove a PropertyChangeListener for a specific property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyChangeSupport

    public PropertyChangeSupport(Object sourceBean)

  Constructs a `PropertyChangeSupport` object.
  Parameters:
    `sourceBean` - The bean to be given as the source for any events.

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list. The listener is registered for all properties.
  Parameters:
    `listener` - The PropertyChangeListener to be added

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a PropertyChangeListener from the listener list. This removes a PropertyChangeListener that was registered for all properties.
  Parameters:
    `listener` - The PropertyChangeListener to be removed

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName,
                                          PropertyChangeListener listener)

  Add a PropertyChangeListener for a specific property. The listener will be invoked only when a call on firePropertyChange names that specific property.
  Parameters:
    `propertyName` - The name of the property to listen on.
    `listener` - The PropertyChangeListener to be added

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName,
                                             PropertyChangeListener listener)

  Remove a PropertyChangeListener for a specific property.
  Parameters:
    `propertyName` - The name of the property that was listened on.
    `listener` - The PropertyChangeListener to be removed

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   Object oldValue,
                                   Object newValue)

  Report a bound property update to any registered listeners. No event is fired if old and new are equal and non-null.
  Parameters:
    `propertyName` - The programmatic name of the property that was changed.
    `oldValue` - The old value of the property.
    `newValue` - The new value of the property.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   int oldValue,
                                   int newValue)

  Report an int bound property update to any registered listeners. No event is fired if old and new are equal and non-null.

  This is merely a convenience wrapper around the more general firePropertyChange method that takes Object values.

  Parameters:
    `propertyName` - The programmatic name of the property that was changed.
    `oldValue` - The old value of the property.
    `newValue` - The new value of the property.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   boolean oldValue,
                                   boolean newValue)

  Report a boolean bound property update to any registered listeners. No event is fired if old and new are equal and non-null.

  This is merely a convenience wrapper around the more general firePropertyChange method that takes Object values.

  Parameters:
    `propertyName` - The programmatic name of the property that was changed.
    `oldValue` - The old value of the property.
    `newValue` - The new value of the property.

### firePropertyChange

    public void firePropertyChange(PropertyChangeEvent evt)

  Fire an existing PropertyChangeEvent to any registered listeners. No event is fired if the given event's old and new values are equal and non-null.
  Parameters:
    `evt` - The PropertyChangeEvent object.

### hasListeners

    public boolean hasListeners(String propertyName)

  Check if there are any listeners for a specific property.
  Parameters:
    `propertyName` - the property name.
  Returns:
    true if there are ore or more listeners for the given property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.